[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragObject.AutoCreate

Special constructor which enforces destruction of the object at the end of the dragging operation.

## Declaration

Source position: controls.pp line 521

`public constructor TDragObject.AutoCreate(`
`AControl: TControl`
`);`

## Arguments

`AControl` |  | The control being dragged.

## Description

This constructor sets the AutoCreated and AutoFree flags. AutoFree is tested by the DragManager at the end of the dragging operation.

## See also

TDragObject.AutoCreated |  | Was the drag object created automatically?
TDragObject.AutoFree |  | Indicates whether the object shall be destroyed at the end of the dragging operation.